# Class LockOutRealm.LockRecord

java.lang.Object
org.apache.catalina.realm.LockOutRealm.LockRecord

Enclosing class:
  `LockOutRealm`

protected static class LockOutRealm.LockRecord extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LockRecord()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFailures()`
`long`
`getLastFailureTime()`
`void`
`registerFailure()`
`void`
`setFailures(int theFailures)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LockRecord

protected LockRecord()

## Method Details

### getFailures

public int getFailures()

### setFailures

public void setFailures(int theFailures)

### getLastFailureTime

public long getLastFailureTime()

### registerFailure

public void registerFailure()